/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.job.domain;

import net.sourceforge.kivu4j.utils.lang.domain.Dto;

/**
 * 窗体
 *
 * @author Lucky Yang
 */
public class TimetableDto extends Dto<Long> {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5692347647090162888L;
	private String clazz;
	private String description;
	private String data;
	private String cronExpression;
	private Boolean isActive;

	public TimetableDto() {
		super();
	}

	public TimetableDto(String clazz, String description, String data,
			String cronExpression, Boolean isActive) {
		super();
		this.clazz = clazz;
		this.description = description;
		this.data = data;
		this.cronExpression = cronExpression;
		this.isActive = isActive;
	}

	public String getClazz() {
		return clazz;
	}

	public void setClazz(String clazz) {
		this.clazz = clazz;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getCronExpression() {
		return cronExpression;
	}

	public void setCronExpression(String cronExpression) {
		this.cronExpression = cronExpression;
	}

	public Boolean getIsActive() {
		return isActive;
	}

	public void setIsActive(Boolean isActive) {
		this.isActive = isActive;
	}

	public String getData() {
		return data;
	}

	public void setData(String data) {
		this.data = data;
	}
	
	
}
	

