/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.job.test;

import net.sourceforge.kivu4j.job.domain.Timetable;
import net.sourceforge.kivu4j.job.domain.TimetableDto;

public final class TestDataFactory {
	public static Timetable timetable(){
		Timetable rslt = new Timetable("clazz","cronExpression");
		rslt.setDescription("description");
		rslt.setData("data");
		return rslt;
	}

	public static TimetableDto timetableDto() {
		TimetableDto rslt = new TimetableDto("clazz", "description", "data",
				"cronExpression", true);
		return rslt;
	}
}
