/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.job.domain;

import net.sourceforge.kivu4j.utils.lang.domain.Dto;


/**
 * 触发器dto对象
 *
 * @author Lucky Yang
 */
public class TriggerDto extends Dto<Long>{
	/**
	 * 
	 */
	private static final long serialVersionUID = -5254405664106469138L;
	// job名称
	private String jobName;
	// job组
	private String jobGroup;
	// 名称
	private String name;
	// 组	
	private String group;
	// 全称
	private String fullName;
	// 描述
	private String description;
	// 下次运行时间
	private String nextFireTime;
	// 状态
	private int state;
	
	public TriggerDto() {
		super();
	}
	
	public TriggerDto(String jobName, String jobGroup,
			String name, String group, String fullName, String description,
			String nextFireTime, int state) {
		super();
		this.jobName = jobName;
		this.jobGroup = jobGroup;
		this.name = name;
		this.group = group;
		this.fullName = fullName;
		this.description = description;
		this.nextFireTime = nextFireTime;
		this.state = state;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getGroup() {
		return group;
	}
	public void setGroup(String group) {
		this.group = group;
	}
	public String getFullName() {
		return fullName;
	}
	public void setFullName(String fullName) {
		this.fullName = fullName;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getNextFireTime() {
		return nextFireTime;
	}
	public void setNextFireTime(String nextFireTime) {
		this.nextFireTime = nextFireTime;
	}
	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getJobGroup() {
		return jobGroup;
	}

	public void setJobGroup(String jobGroup) {
		this.jobGroup = jobGroup;
	}

	
}
